<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;

class ExportTestItemOptionFormat implements WithHeadings, ShouldAutoSize, WithStyles
{
    /**
    * @return \Illuminate\Support\Collection
    */
    
	public function headings(): array
	{
	    return [
	        'Option Name (required)',
	        'Style Type (Normal, Low & High)',
	        'Status (Active/Inactive)',
	    ];
	}

	public function styles(Worksheet $sheet)
	{
	    return [
	        1  => ['font' => ['bold' => true]],
	    ];
	}
}